[arch-commits] Commit in nodejs-lts-boron/repos (2 files)
Evangelos Foutras
foutrelis at archlinux.org
Tue Mar 27 20:41:08 UTC 2018
Date: Tuesday, March 27, 2018 @ 20:41:07
Author: foutrelis
Revision: 312920
archrelease: copy trunk to community-staging-x86_64
Added:
nodejs-lts-boron/repos/community-staging-x86_64/
nodejs-lts-boron/repos/community-staging-x86_64/PKGBUILD
(from rev 312919, nodejs-lts-boron/trunk/PKGBUILD)
----------+
PKGBUILD | 63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 63 insertions(+)
Copied: nodejs-lts-boron/repos/community-staging-x86_64/PKGBUILD (from rev 312919, nodejs-lts-boron/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2018-03-27 20:41:07 UTC (rev 312920)
@@ -0,0 +1,63 @@
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+
+pkgname=nodejs-lts-boron
+pkgver=6.13.1
+pkgrel=2
+pkgdesc='Evented I/O for V8 javascript (LTS release: Boron)'
+arch=('x86_64')
+url='https://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=$pkgver")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+# https://nodejs.org/download/release/latest-boron/SHASUMS256.txt.asc
+sha256sums=('c437350b476503a0f5605a5cc08bc41fe3bdb8ec100939ec7ea6600e44d56a46')
+#validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8') # Myles Borins <mylesborins at google.com>
+
+prepare() {
+ cd node-v${pkgver}
+
+ msg 'Fixing for python2 name'
+ find -type f -exec sed \
+ -e 's_^#!/usr/bin/env python$_&2_' \
+ -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+ -e 's_^#!/usr/bin/python$_&2_' \
+ -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+ -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+ -e "s_'python'_'python2'_" -i {} \;
+ find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+ cd node-v${pkgver}
+ export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+ export PYTHON=python2
+ ./configure \
+ --prefix=/usr \
+ --with-intl=system-icu \
+ --without-npm \
+ --shared-openssl \
+ --shared-zlib \
+ --shared-libuv \
+ --shared-http-parser \
+ --shared-cares
+
+ make
+}
+
+check() {
+ cd node-v${pkgver}
+ # Some network related errors
+ make test || warning "Tests failed"
+}
+
+package() {
+ cd node-v${pkgver}
+
+ make DESTDIR="${pkgdir}" install
+
+ install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list